All labels and lang codes displayed as English
Closed, ResolvedPublic

Description

With wmf7 deployment of core, we saw all labels and language codes for all Wikidata items (old and new) were being displayed as "English" and "en".

We've switched wikidata back to wmf6 version of core, and that immediately fixed the issue.

I can't reproduce on my test instance, even with experimental features turned off, but there's definitely some major bug or issue.


Version: master
Severity: blocker

bzimport set Reference to bz43595.
aude created this task.Via LegacyJan 2 2013, 8:34 PM
Lydia_Pintscher added a comment.Via ConduitJan 2 2013, 8:41 PM

According to http://www.wikidata.org/wiki/Wikidata:Project_chat#Bug_Found it also happened during the previous update.

hoo added a comment.Via ConduitJan 2 2013, 10:24 PM

This was caused by a format change of the MediaWiki SiteArray object and the old outdated version still being in memcached. https://gerrit.wikimedia.org/r/42037 will fix this.

To verify this I had to add Memcached to the Wikibase test environment, it would be great if that would be the case per default.

JeroenDeDauw added a comment.Via ConduitJan 3 2013, 3:25 PM

Marius Hoch: How do you figure it was caused by a format change of the MediaWiki SiteArray? I don't see any format changes since our last deployment. And if there where, I'm still wondering how it would cause the observed problem.

hoo added a comment.Via ConduitJan 3 2013, 4:03 PM

You can reproduce that as follows:
Get Wikibase repo with core wmf6 and memcached running, visit an item page. Then go to wmf7 and revisit that page without restarting memcached.

The changes were even done by you. I'm only on my Android right now, but viewing the diff of the whole includes/sites sub folder between wmf6 and 7 will show them. ;)

Denny added a comment.Via ConduitJan 3 2013, 5:42 PM

I just created a fresh install with Vagrant and had the issue, but because my sites table was empty. Running the populate script resolved it. But the error looked the same.

hoo added a comment.Via ConduitJan 4 2013, 3:36 PM

Closing as the the patch has been merged and wikidata is running fine on 1.21wmf7 now

Abraham added a comment.Via ConduitJan 14 2013, 4:48 PM

Verified in Wikidata demo sprint 28

Add Comment